import React,{Component} from 'react';
import BlockInp from '@containers/BlockInpContainer';
import {connect} from "react-redux";

class CurrentIll extends Component{
  constructor(props){
    super(props)
  }
  render(){
    const {value,isRead}=this.props;
   return  <BlockInp title='现病史' boxMark='2' value={value} isRead={isRead}></BlockInp>;
  }
}

function mapStateToProps(state){
  const {currentIll} = state;
  return {
    value:currentIll.saveText[0],
  }
}
function mapDispatchToProps(dispatch,store){
  return {
  }
}

const CurrentIllCont = connect(
  mapStateToProps,
  mapDispatchToProps
)(CurrentIll);

export default CurrentIllCont;